Subject: Re: [PATCH 1/2] t3404: demonstrate CHERRY_PICK_HEAD bug

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Jun 2015 09:00:29 -0700

Johannes Schindelin <[email-masked]> writes:

>>> +	git diff seq-onto &&
>> 
>> I am puzzled with this "diff"; what is this about?  Is it a remnant
>> from an earlier debugging session, or is it making sure seq-onto is
>> a valid tree-ish?
>
> The idea is to verify that we end up with the same tree even if we
> exchanged the latest two patches. I can remove it if you want as it is
> not strictly necessary, but I would like to keep it just to make sure
> that we did not end up with an incomplete rebase.

I agree that such a verification is a very good thing to have here.
But you would need to ask "git diff" to signal that it found no
differences with --exit-code or --quiet, I would think.

Thanks.